<?php
require_once('config.php');

try {
    // SQL sorgusu
    $sql = "SELECT
        k.user_sehir,
        COUNT(k.user_id) AS kullanici_sayisi,
        COUNT(o.user_id) AS satilan_urun_sayisi,
        (COUNT(o.user_id) / COUNT(k.user_id)) * 100 AS satis_orani
    FROM
        kullanicilar k
    LEFT JOIN
        odemeler o ON k.user_id = o.user_id
    WHERE
        k.user_sehir IS NOT NULL
        AND k.user_sehir <> ''
        AND k.user_bot = 0
		AND k.user_kayit >= UNIX_TIMESTAMP('2020-01-01')
    GROUP BY
        k.user_sehir
    ORDER BY
        satilan_urun_sayisi DESC";

    // Sorguyu hazırla ve çalıştır
    $stmt = $db->prepare($sql);
    $stmt->execute();

    // Sonuçları ekrana yazdır
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        echo "Şehir: " . $row["user_sehir"] . " - Kullanıcı Sayısı: " . $row["kullanici_sayisi"] . " - Satılan Ürün Sayısı: " . $row["satilan_urun_sayisi"] . " - Satış Oranı: " . round($row["satis_orani"], 2) . "%<br>";
    }
} catch (PDOException $e) {
    echo "Hata: " . $e->getMessage();
}

// Veritabanı bağlantısını kapat
$db = null;
?>
